<?xml version="1.0" encoding="utf-8"?>

<Messages>
	<Default>Undefined message by ID: %s</Default>

	<Message ID="MAIN_0" Type="2">Cannot open more than one tool at the same time!</Message>
	<Message ID="MAIN_1" Type="1">Failed to initialize Gaming Keyboard persister!</Message>
	<Message ID="MAIN_2" Type="1">Failed to initialize Gaming Keyboard writer!</Message>
	<Message ID="MAIN_3" Type="1">Failed to load Gaming Keyboard profiles!</Message>
	<Message ID="MAIN_4" Type="1">Failed to load Gaming Keyboard macros!</Message>
	<Message ID="MAIN_5" Type="1">Failed to activate profile!</Message>
	<Message ID="MAIN_6" Type="1">Failed to save active profile setting!</Message>

	<Message ID="PROFILE_DIALOG_0" Type="2">The name '%s' already exists, please rename it!</Message>
	<Message ID="PROFILE_DIALOG_1" Type="2">Are you sure to remove '%s'?</Message>
	<Message ID="PROFILE_DIALOG_2" Type="2">The profile %s is already in use, Please choose another one!</Message>
	<Message ID="PROFILE_DIALOG_3" Type="1">Already exist the same name '%s'!</Message>
	<Message ID="PROFILE_DIALOG_4" Type="1">Failed to import file!</Message>
	<Message ID="PROFILE_DIALOG_5" Type="1">Failed to export file!</Message>
	<Message ID="PROFILE_DIALOG_6" Type="1">Please input profile name!</Message>
	<Message ID="PROFILE_DIALOG_7" Type="1">Failed to new profile!</Message>
	<Message ID="PROFILE_DIALOG_8" Type="1">Failed to delete profile!</Message>
	<Message ID="PROFILE_DIALOG_9" Type="0">New profile name can't contain one of the following characters\n%s</Message>
	<Message ID="PROFILE_DIALOG_10" Type="0">Successfully created a new profile!</Message>
	<Message ID="PROFILE_DIALOG_11" Type="1">Please create at least one profile！</Message>

	<Message ID="MACROEDIT_DIALOG_0" Type="0">This macro name is already in use, please select another name!</Message>
	<Message ID="MACROEDIT_DIALOG_1" Type="0">Please start a new macro first!</Message>
	<Message ID="MACROEDIT_DIALOG_2" Type="1">Failed to import macro!</Message>
	<Message ID="MACROEDIT_DIALOG_3" Type="2">The file name '%s' already exists.\nDo you want to overwrite it?</Message>
	<Message ID="MACROEDIT_DIALOG_4" Type="0">Macro name can't contain one of the following characters\n%s</Message>
	<Message ID="MACROEDIT_DIALOG_5" Type="1">Failed to rename macro!</Message>
	<Message ID="MACROEDIT_DIALOG_6" Type="1">Macros number over 100！</Message>
	<Message ID="MACROEDIT_DIALOG_7" Type="1">Fail to write macro data!</Message>
	<Message ID="MACROEDIT_DIALOG_8" Type="1">Fail to save macro data!</Message>
	<Message ID="MACROEDIT_DIALOG_9" Type="1">Macro name can't contain all blank character!</Message>
	<Message ID="MACROEDIT_DIALOG_10" Type="1">Over the limitation of macro size!</Message>
	<Message ID="MACROEDIT_DIALOG_11" Type="1">>The delay time is out of range(1~99999999)!</Message>
	<Message ID="MACROEDIT_DIALOG_12" Type="3">The macro‘%s' is used in the following profile(s)，\n%sAre you sure to delete this one?</Message>
	<Message ID="MACROEDIT_DIALOG_13" Type="3">Give up on current macro?</Message>
	<Message ID="MACROEDIT_DIALOG_14" Type="1">Please stop macro recording to continue.</Message>
	<Message ID="MACROEDIT_DIALOG_15" Type="3">Macro is modified and not applied yet.\nWould you like to apply change before leaving this page?</Message>
	<Message ID="MACROEDIT_DIALOG_16" Type="2">Macro step number over %d!</Message>
	<Message ID="MACROEDIT_DIALOG_17" Type="1">Over the limitation of macro size!Please remove %d steps.</Message>
	
	<Message ID="WRITE_PROFILE_0" Type="0">Write profile successfully!</Message>
	<Message ID="WRITE_PROFILE_1" Type="1">Fail to write macro data!</Message>
	<Message ID="WRITE_PROFILE_2" Type="1">Fail to write mouse key data!</Message>
	<Message ID="WRITE_PROFILE_3" Type="1">Fail to write memory data!</Message>
	<Message ID="WRITE_PROFILE_4" Type="1">No Left Button defined in profile%d!</Message>
	<Message ID="WRITE_PROFILE_5" Type="1">Fail to write active profile!</Message>
	<Message ID="WRITE_PROFILE_6" Type="1">Fail to write initial command!</Message>
	<Message ID="WRITE_PROFILE_7" Type="1">Fail to write exit command!</Message>
	<Message ID="WRITE_PROFILE_8" Type="1">Fail to write light data!</Message>

	<Message ID="MOUSEKEY_DIALOG_0" Type="1">Too many macros used in this profile!</Message>

	<Message ID="CONFIGURATOR_DIALOG_0" Type="3">Some settings are not applied，do you want to apply it?</Message>
	<Message ID="CONFIGURATOR_DIALOG_1" Type="1">Failed to update lighting data!</Message>

	<Message ID="KEYBOARDKEY_DIALOG_0" Type="1">Failed to write key data!</Message>
	<Message ID="KEYBOARDKEY_DIALOG_1" Type="1">Failed to save key data!</Message>

	<Message ID="MACROKEY_DIALOG_0" Type="1">The Loop count value is out of range(1~255)!</Message>
	
	<Message ID="LIGHTING_UI_0" Type="1">Failed to activate profile!</Message>
	<Message ID="LIGHTING_UI_1" Type="1">Failed to update lighting UI by active profile!</Message>
	<Message ID="LIGHTING_UI_2" Type="1">Failed to update lighting data!</Message>

	<Message ID="GAMINGMODE_UI_0" Type="1">Failed to write gaming mode data!</Message>
	<Message ID="GAMINGMODE_UI_1" Type="1">Failed to save gaming mode data!</Message>

	<Message ID="SINGLEKEY_DIALOG_0" Type="1">Please input a key.</Message>
	<Message ID="COMBOKEY_DIALOG_0" Type="1">Please input a key.</Message>
	
	<Message ID="DELAY_TIME_DIALOG_0" Type="1">The delay time is out of range(1~99999999)</Message>
	<Message ID="SKIN_DIALOG_1" Type="3">Are you sure you want to reset to factory default settings?</Message>

</Messages>
